#!/bin/bash
factor=1.5
seed=123456789
startscale=20
endscale=26
n=1
let "n <<= $startscale"

# create all files first
for ((scale=$startscale; scale<=$endscale; scale++ ))
do
    filename=er-fact$factor-scale$scale.graph
    nice time ./erdos-renyi $n $factor $filename $seed
    head -n 1 $filename
    let n*=2
done

# compress them at the end (if you want to)
for ((scale=$startscale; scale<=$endscale; scale++ ))
do
    filename=er-fact$factor-scale$scale.graph
    nice bzip2 $filename
done
